//
//  FNTreeManagerDelegate.h
//  TreeDiffUnique
//
//  Created by Heiko Witte on 17.03.16.
//  Copyright © 2016 fournova Software GmbH. All rights reserved.
//

#ifndef FNTreeManagerDelegate_h
#define FNTreeManagerDelegate_h

@class FNTreeManager;
@class FNTreeNode;
@protocol FNTreeManagerDelegate <NSObject>
@optional

- (BOOL)treeManager:(FNTreeManager *)treeManager updateItem:(FNTreeNode *)existingItem withItem:(FNTreeNode *)mappedItem;
- (void)treeManager:(FNTreeManager *)treeManager didUpdateItems:(NSArray<FNTreeNode *> *)updatedItems;

- (void)treeManager:(FNTreeManager *)treeManager willInsertItemsAtIndexPaths:(NSIndexSet *)indexPaths inParent:(FNTreeNode *)parent;
- (void)treeManager:(FNTreeManager *)treeManager didInsertItemsAtIndexPaths:(NSIndexSet *)indexPaths inParent:(FNTreeNode *)parent;

- (void)treeManager:(FNTreeManager *)treeManager willDeleteItemsAtIndexPaths:(NSIndexSet *)indexPaths inParent:(FNTreeNode *)parent;
- (void)treeManager:(FNTreeManager *)treeManager didDeleteItemsAtIndexPaths:(NSIndexSet *)indexPaths inParent:(FNTreeNode *)parent;

- (void)treeManager:(FNTreeManager *)treeManager willMoveItemAtIndex:(NSUInteger)index inParent:(FNTreeNode *)parent toIndex:(NSUInteger)newIndex inParent:(FNTreeNode *)newParent;
- (void)treeManager:(FNTreeManager *)treeManager didMoveItemAtIndex:(NSUInteger)index inParent:(FNTreeNode *)parent toIndex:(NSUInteger)newIndex inParent:(FNTreeNode *)newParent;
@end

#endif /* FNTreeManagerDelegate_h */
