//
//  NSString+FNSearching.h
//  FNFoundation
//
//  Created by Alexander Rinaß on 20.02.12.
//  Copyright (c) 2012 Fournova GmbH. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NSString (FNSearching)

- (BOOL)containsString:(NSString *)string;

- (BOOL)containsStringSearchingInsensitive:(NSString *)string;
- (BOOL)containsString:(NSString *)string options:(NSStringCompareOptions)options;

/* Returns YES if the string contains all characters of the search string in any position but in the given order. */
- (BOOL)fuzzyMatchesString:(NSString *)searchString;

- (NSUInteger)distanceForString:(NSString *)string;
- (NSUInteger)distanceForString:(NSString *)string ignoreCase:(BOOL)ignoreCase;

- (CGFloat)similarityScoreForString:(NSString *)string options:(NSStringCompareOptions)options;
- (CGFloat)similarityScoreForString:(NSString *)string options:(NSStringCompareOptions)options allowsMismatch:(BOOL)allowsMismatch;
- (CGFloat)similarityScoreForString:(NSString *)string maximumScore:(NSUInteger)maximumScore penalty:(NSUInteger)penalty options:(NSStringCompareOptions)options;
- (CGFloat)similarityScoreForString:(NSString *)string maximumScore:(NSUInteger)maximumScore penalty:(NSUInteger)penalty options:(NSStringCompareOptions)options allowsMismatch:(BOOL)allowsMismatch;

@end
